Hooks
Get Hook Executions
Retrieve execution history for a hook
GET
/
lending-stocks
/
api
/
hooks
/
{marketId}
/
{hookId}
/
executions
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/executions?limit=10" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"executions": [
{
"id": "exec_001",
"hookId": "hook_002",
"executionType": "monitorRisk",
"result": true,
"data": { "score": 72 },
"error": null,
"executedAt": "2025-06-15T11:55:00.000Z"
},
{
"id": "exec_002",
"hookId": "hook_002",
"executionType": "monitorRisk",
"result": false,
"data": { "score": 38 },
"error": null,
"executedAt": "2025-06-15T11:50:00.000Z"
}
]
}
}
Returns past execution results for a hook, ordered newest first.
Path Parameters
string
required
Market ID.
string
required
Hook ID.
Query Parameters
integer
default:"50"
Number of executions to return. Min 1, max 200.
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/executions?limit=10" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"executions": [
{
"id": "exec_001",
"hookId": "hook_002",
"executionType": "monitorRisk",
"result": true,
"data": { "score": 72 },
"error": null,
"executedAt": "2025-06-15T11:55:00.000Z"
},
{
"id": "exec_002",
"hookId": "hook_002",
"executionType": "monitorRisk",
"result": false,
"data": { "score": 38 },
"error": null,
"executedAt": "2025-06-15T11:50:00.000Z"
}
]
}
}
⌘I
curl "https://api.trusset.org/lending-stocks/api/hooks/{marketId}/{hookId}/executions?limit=10" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"executions": [
{
"id": "exec_001",
"hookId": "hook_002",
"executionType": "monitorRisk",
"result": true,
"data": { "score": 72 },
"error": null,
"executedAt": "2025-06-15T11:55:00.000Z"
},
{
"id": "exec_002",
"hookId": "hook_002",
"executionType": "monitorRisk",
"result": false,
"data": { "score": 38 },
"error": null,
"executedAt": "2025-06-15T11:50:00.000Z"
}
]
}
}
